Big Time Newbie Needs Help! Willing to PAY!


#1

So - I have this script that was given to me by a friend. It’s a script that monitors Nike Twitter Store. Whenever Nike has a pair of “limited” sneakers, they release it with a link VIA Twitter. The script that he gave me had a page too, where a person would type the keyword of a shoe and click run, and once Nike Tweeted it (usually at 8AM) once it was tweeted, the script would open the page in a new tab and automatically add the shoe to my shopping cart with my proper shoe size. It’s been working great until today…where it wouldn’t work, and I did some snooping around under “generated_background_page.html” in the Google Chrome extension and I found red X on the bottom saying this:

Failed to load resource: the server responded with a status of 410 (Gone) https://api.twitter.com/1/statuses/user_timeline.json?screen_name=nikestore&count=1550&exclude_replies=true&trim_user=true

&

GET https://api.twitter.com/1/statuses/user_timeline.json?screen_name=nikestore&count=1550&exclude_replies=true&trim_user=true 410 (Gone)

MULTIPLE TIMES.

When I click on the link above, it gives me this:

{“errors”: [{“message”: "The Twitter REST API v1 is no longer active. Please migrate to API v1.1. https://dev.twitter.com/docs/api/1.1/overview.", “code”: 68}]}

I’m so clueless on how to change to API v1.1 :frowning:

So here I am. Please if ANYONE CAN HELP ME I WILL PAY THEM IF THEY WANT! I need this figured and sorted out ASAP.


#2

Want to share your script?